NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchPasteBuilder Class Reference

Represents a NXOpen.SketchPasteBuilder More...

Inheritance diagram for NXOpen.SketchPasteBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void ResetInitialPasteLocation ()
 Reset the initial paste location, after this previously set initial paste location will not be used More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Point3d InitialPasteLocation [get, set]
 Returns or sets the initial paste location, this is mainly used to define default paste location of sketch objects More...
 
unsafe
NXOpen.Features.MoveObjectBuilder 
MoveObject [get]
 Returns the move object More...
 

Detailed Description

Represents a NXOpen.SketchPasteBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchPasteBuilder

Default values.

Property Value

MoveObject.Associative

false

MoveObject.CreateTraceLines

false

MoveObject.Divisions

1

MoveObject.LayerOption

Original

MoveObject.MoveObjectResult

MoveOriginal

MoveObject.MoveParents

true

MoveObject.NumberOfCopies

1

MoveObject.TransformMotion.DeltaEnum

ReferenceWcsWorkPart

MoveObject.TransformMotion.DeltaXc.Value

0.0

MoveObject.TransformMotion.DeltaYc.Value

0.0

MoveObject.TransformMotion.DeltaZc.Value

0.0

MoveObject.TransformMotion.Option

Dynamic

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.SketchPasteBuilder.ResetInitialPasteLocation ( )

Reset the initial paste location, after this previously set initial paste location will not be used

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Property Documentation

unsafe NXOpen.Point3d NXOpen.SketchPasteBuilder.InitialPasteLocation
getset

Returns or sets the initial paste location, this is mainly used to define default paste location of sketch objects

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Features.MoveObjectBuilder NXOpen.SketchPasteBuilder.MoveObject
get

Returns the move object

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.